Eclipse Platform Release 3.7

## org.eclipse.equinox.p2.repository.artifact.spi
Class ProcessingStepDescriptor

    java.lang.Object
      org.eclipse.equinox.p2.repository.artifact.spi.ProcessingStepDescriptor

All Implemented Interfaces:
  IProcessingStepDescriptor

    public class ProcessingStepDescriptor

extends Object
implements IProcessingStepDescriptor

Since:
  2.0

Constructor Summary
`ProcessingStepDescriptor(String processorId, String data, boolean required)` Create a processing step description.

Method Summary
`boolean` `equals(Object obj)`
`String` `getData()` An argument that is passed to the processing step instance.
`String` `getProcessorId()` Returns the fully qualified id of the processing step extension.
`int` `hashCode()`
`boolean` `isRequired()` Returns whether the successful execution of this processing step is required for the transfer to be successful.
`String` `toString()` Returns a string representation of this descriptor for debugging purposes only.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcessingStepDescriptor

    public ProcessingStepDescriptor(String processorId,
                                    String data,
                                    boolean required)

  Create a processing step description.

  Parameters:
    `processorId` -
    `data` -
    `required` -

Method Detail

### getProcessorId

    public String getProcessorId()

  Returns the fully qualified id of the processing step extension.

  Specified by:
    `getProcessorId` in interface `IProcessingStepDescriptor`
  Returns:
    The fully qualified processing step extension id

### getData

    public String getData()

  An argument that is passed to the processing step instance. The structure and content of the data is specific to the particular processing step being used.

  Specified by:
    `getData` in interface `IProcessingStepDescriptor`
  Returns:
    the processing step data

### isRequired

    public boolean isRequired()

  Returns whether the successful execution of this processing step is required for the transfer to be successful. If the processing step extension is not installed, or fails to execute, then the artifact transfer will fail if the step is required. Failure of optional steps will result in warnings but not prevent the transfer from succeeding.

  Specified by:
    `isRequired` in interface `IProcessingStepDescriptor`
  Returns:
    `true` if the transfer will fail if this step does not succeed, and `false` otherwise

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Returns a string representation of this descriptor for debugging purposes only.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation ofthe processing step descriptor

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.